<?php

declare(strict_types=1);

namespace Drupal\Tests\field_lock_multi_values\Functional;

use PHPUnit\Framework\Attributes\Group;

/**
 * Test "Hide 'Remove' button " feature.
 */
#[Group('field_lock_multi_values')]
class HideRemoveButtonTest extends TestBase {

  /**
   * Test "Hide 'Remove' button" feature.
   */
  public function testHideRemoveButton() : void {
    $page = $this->getSession()->getPage();
    $delta = 4;
    // Submit a test node.
    $this->createTestNode($delta);
    // Test node edit form with original functionality.
    $this->drupalGet('/node/1/edit');
    for ($i = 0; $i <= $delta; $i++) {
      $this->assertSession()
        ->buttonExists("edit-field-string-textfield-$i-actions-delete");
    }
    // enable "Hide 'Remove' button" feature.
    $this->drupalGet('/admin/structure/types/manage/page/form-display');
    $this->click('#edit-fields-field-string-textfield-settings-edit');
    $page->checkField('Hide "Remove" button');
    $this->submitForm([], 'Update');
    $this->submitForm([], 'Save');
    // Test node edit form with updated functionality.
    $this->drupalGet('/node/1/edit');
    for ($i = 0; $i <= $delta; $i++) {
      $this->assertSession()
        ->buttonNotExists('edit-field-string-textfield-0-actions-delete');
    }
  }
}
